local QUEST_PIN_SIZE = 32
local QUEST_AREA_MIN_SIZE = 18
local POI_PIN_SIZE = 40
local MAP_LOCATION_PIN_SIZE = 36
local PLAYER_PIN_SIZE = 16
local SMALL_KILL_LOCATION_SIZE = 16
local MEDIUM_KILL_LOCATION_SIZE = 20
local LARGE_KILL_LOCATION_SIZE = 24
local KEEP_PIN_SIZE = 53
local IMPERIAL_CITY_PIN_SIZE = 64
local ARTIFACT_PIN_SIZE = 64
local AVA_OBJECTIVE_SIZE = 16
local KEEP_RESOURCE_PIN_SIZE = 27
local KEEP_RESOURCE_MIN_SIZE = 24
local RESTRICTED_LINK_PIN_SIZE = 16

AUI_IC_PIN_POSITIONS = 
{
	{ .515175, .543171 },
	{ .557232, .336507 },
	{ .397913, .416717 },
}

AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND = 10000
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD = 10002
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT = 10003
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD = 10004
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT = 10005
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND = 10006
AUI_MINIMAP_PIN_TYPE_GROUP_DEAD = 10007
AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT = 10008
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT = 10009
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD = 10010
AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN = 10100

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY = 10201
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE = 10202
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY = 10203
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING = 10204	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_REPEATABLE = 10205
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_DAILY = 10206	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS = 10207
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_REPEATABLE = 10208
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_DAILY = 10209	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD = 10210
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_REPEATABLE = 10211
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_DAILY = 10212
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON = 10213
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_REPEATABLE = 10214
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_DAILY = 10215	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID = 10216
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_REPEATABLE = 10217
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_DAILY = 10218	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP = 10219			
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_REPEATABLE = 10220	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_DAILY = 10221
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY = 10222
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE = 10223	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY = 10224	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING = 10225
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE = 10226	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY = 10227	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS = 10228
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE = 10229
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY = 10230	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD = 10231
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE = 10232
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY = 10233	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON = 10234
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE = 10235
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY = 10236
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID = 10237	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE = 10238
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_DAILY = 10239
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP = 10240
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE = 10241			
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY = 10242	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY = 10243
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE = 10244
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY = 10245	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING = 10246	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_REPEATABLE = 10247		
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_DAILY = 10248	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS = 10249	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_REPEATABLE = 10250	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_DAILY = 10251		
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD = 10252
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_REPEATABLE = 10253
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_DAILY = 10254	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON = 10255
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_REPEATABLE = 10256	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_DAILY = 10257	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID = 10258
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_REPEATABLE = 10259
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_DAILY = 10260
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP = 10261	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_REPEATABLE = 10262
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_DAILY = 10263	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY = 10264
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE = 10265	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY = 10266
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING = 10267
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_REPEATABLE = 10268
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_DAILY = 10269	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS = 10270
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_REPEATABLE = 10271	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_DAILY = 10272		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD = 10273	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_REPEATABLE = 10274
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_DAILY = 10275	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON = 10276
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_REPEATABLE = 10277
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_DAILY = 10278	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID = 10279		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_REPEATABLE = 10280	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_DAILY = 10281		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP = 10282	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_REPEATABLE = 10283
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_DAILY = 10284
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY = 10285
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE = 10286
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY = 10287
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING = 10288
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE = 10289	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY = 10290
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS = 10291
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE = 10292
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY = 10293	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD = 10294
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE = 10295
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY = 10296	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON = 10297
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE = 10298
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY = 10299
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID = 10300		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE = 10301
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_DAILY = 10302
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP = 10303					
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE = 10304		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY = 10305		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY = 10306	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE = 10307
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY = 10308
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING = 10309		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_REPEATABLE = 10310
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_DAILY = 10311		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS = 10312
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_REPEATABLE = 10313
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_DAILY = 10314
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD = 10315		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_REPEATABLE = 10316	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_DAILY = 10317
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON = 10318
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_REPEATABLE = 10319		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_DAILY = 10320	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID = 10321	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_REPEATABLE = 10322	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_DAILY = 10323		
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP = 10324
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_REPEATABLE = 10325
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_DAILY = 10326


AUI_MINIMAP_UNIT_NORMAL = 0
AUI_MINIMAP_UNIT_IN_COMBAT = 2
AUI_MINIMAP_UNIT_DEAD = 1

local function GetPOIPinTexture(pin)
    return pin:GetPOIIcon()
end

local function GetPOIPinTint(pin)
    if pin and pin.IsLockedByLinkedCollectible and pin:IsLockedByLinkedCollectible() then
        return LOCKED_COLOR
    else
        return ZO_DEFAULT_ENABLED_COLOR
    end
end

local function GetLocationPinTexture(pin)
    return pin:GetLocationIcon()
end

local function GetFastTravelPinTextures(pin)
    return pin:GetFastTravelIcons()
end

local function GetQuestPinTexture(pin)
    return pin:GetQuestIcon()
end

local function GetGroupLeaderCombatTexture()
	local overlayTexture = "EsoUI/Art/Compass/groupLeader.dds"
	local highlightTexture = "EsoUI/Art/MapPins/ava_attackburst_32.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupLeaderDeadTexture()
	local overlayTexture = "EsoUI/Art/Compass/groupLeader.dds"
	local highlightTexture = "EsoUI/Art/MapPins/deathrecap_killingblow_icon.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupMemberCombatTexture()
	local overlayTexture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"
	local highlightTexture = "EsoUI/Art/MapPins/ava_attackburst_32.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupMemberDeadTexture()
	local overlayTexture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"
	local highlightTexture = "EsoUI/Art/MapPins/deathrecap_killingblow_icon.dds"
	
	return overlayTexture, nil, highlightTexture
end

AUI_MINIMAP_PIN_DATA =
{
    [MAP_PIN_TYPE_PLAYER]                                   		 				= { level = 1000, texture = "EsoUI/Art/MapPins/UI-WorldMapPlayerPip.dds", size = PLAYER_PIN_SIZE, mouseLevel = 0},
    [MAP_PIN_TYPE_FORWARD_CAMP_ALDMERI_DOMINION]            						= { level = 950, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_cemetary_aldmeri.dds", insetX = 20, insetY = 20, showsPinAndArea = true},
    [MAP_PIN_TYPE_FORWARD_CAMP_EBONHEART_PACT]           						    = { level = 950, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_cemetary_ebonheart.dds", insetX = 20, insetY = 20, showsPinAndArea = true},
    [MAP_PIN_TYPE_FORWARD_CAMP_DAGGERFALL_COVENANT]        							= { level = 950, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_cemetary_daggerfall.dds", insetX = 20, insetY = 20, showsPinAndArea = true},	
    [MAP_PIN_TYPE_RALLY_POINT]                             			 				= { level = 902, size = 64, texture = "EsoUI/Art/MapPins/MapRallyPoint.dds", isAnimated = true},	
    [MAP_PIN_TYPE_PING]                                    				 			= { level = 901, size = 32, texture = "EsoUI/Art/MapPins/MapPing.dds", isAnimated = true},
    [MAP_PIN_TYPE_PLAYER_WAYPOINT]                         			 				= { level = 901, size = 32, texture = "EsoUI/Art/MapPins/UI_Worldmap_pin_customDestination.dds"},
    [MAP_PIN_TYPE_GROUP_LEADER]                            			 				= { level = 801, size = 32, texture = "EsoUI/Art/Compass/groupLeader.dds"},	
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] 		   			 			= { level = 801, size = 32, texture = GetGroupLeaderDeadTexture},		
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] 				    		 			= { level = 801, size = 32, texture = GetGroupLeaderDeadTexture},		
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] 				  			 			= { level = 801, size = 32, texture = "EsoUI/Art/Compass/groupLeader.dds"},
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] 						 			= { level = 801, size = 32, texture = GetGroupLeaderCombatTexture},
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] 				 			= { level = 801, size = 32, texture = GetGroupLeaderCombatTexture},		
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] 				    		 			= { level = 705, size = 32, texture = GetGroupMemberDeadTexture},
    [AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] 								 			= { level = 704, size = 32, texture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"},		
	[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] 						    		 			= { level = 703, size = 32, texture = GetGroupMemberDeadTexture},
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] 						 			= { level = 702, size = 32, texture = GetGroupMemberCombatTexture},
    [AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] 					    		 			= { level = 701, size = 32, texture = GetGroupMemberCombatTexture},	
    [MAP_PIN_TYPE_GROUP]                                   			 				= { level = 700, size = 32, texture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"},	
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY]   		 			= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY]   		 				= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE]   		 			= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING]   		 				= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_DAILY]   		 		= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_REPEATABLE]   			= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS]   		 				= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_DAILY]   		 			= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_REPEATABLE]   		 		= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD]   		 				= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_DAILY]   		 			= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_REPEATABLE]   		 		= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON]   		 				= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_DAILY]   		 		= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_REPEATABLE]   			= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID]   		 					= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_DAILY]   		 			= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_REPEATABLE]   		 		= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP]   		 				= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},				
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_DAILY]   		 			= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_REPEATABLE]   		 		= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION]                 		 				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY]   			= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY]   		 		= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE]   		 	= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING]   			= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY]   		= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE]   	= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS]   		 		= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY]   		 	= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE]   	= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD]   				= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY]   			= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE]   	= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON]   				= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY]   		= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE]   	= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID]   		 		= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_DAILY]   		 	= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE]   		= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP]   				= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},				
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY]   			= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE]   	= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION]        		 				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY]   						= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY]   		 					= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE]   		 				= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING]   		 				= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_DAILY]   		 			= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_REPEATABLE]   				= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS]   		 					= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_DAILY]   		 				= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_REPEATABLE]   		 		= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD]   		 					= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_DAILY]   		 				= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_REPEATABLE]   		 		= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON]   							= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_DAILY]   					= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_REPEATABLE]   				= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID]   		 					= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_DAILY]   		 				= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_REPEATABLE]   		 			= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP]   		 					= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},				
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_DAILY]   		 				= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_REPEATABLE]   		 		= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_ASSISTED_QUEST_ENDING]                    		 				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY]   						= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY]   		 					= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE]   		 			= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING]   		 				= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_DAILY]   		 		= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_REPEATABLE]   			= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS]   		 					= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_DAILY]   		 			= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_REPEATABLE]   				= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD]   		 					= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_DAILY]   		 			= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_REPEATABLE]   		 		= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON]   						= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_DAILY]   					= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_REPEATABLE]   			= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID]   		 					= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		           
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_DAILY]   		 			= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_REPEATABLE]   		 		= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP]   		 					= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_DAILY]   		 			= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_REPEATABLE]   		 		= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_TRACKED_QUEST_CONDITION]                 			 				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY]   			= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY]   		 		= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE]   		 	= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING]   		 		= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		           
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY]   		= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE]  	= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS]   		 		= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY]   			= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE]   		= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD]   		 		= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		           
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY]   			= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE]   		= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON]   				= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY]   		= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE]  	= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID]   		 			= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_DAILY]   			= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE]   		= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP]   		 		= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY]   			= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE]   		= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION]                    				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY]   						= { level = 161, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY]   		 					= { level = 160, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE]   		 				= { level = 159, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING]   		 					= { level = 158, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		           
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_DAILY]   		 			= { level = 157, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_REPEATABLE]   		 		= { level = 156, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS]   		 					= { level = 155, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_DAILY]   		 				= { level = 154, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_REPEATABLE]   		 			= { level = 153, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD]   		 					= { level = 152, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},		           
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_DAILY]   		 				= { level = 151, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_REPEATABLE]   		 			= { level = 150, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON]   							= { level = 149, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},                  
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_DAILY]   					= { level = 148, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_REPEATABLE]   				= { level = 147, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID]   		 						= { level = 146, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_DAILY]   		 				= { level = 145, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_REPEATABLE]   		 			= { level = 144, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP]   		 					= { level = 143, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	               
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_DAILY]   		 				= { level = 142, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_REPEATABLE]   		 			= { level = 141, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
    [MAP_PIN_TYPE_TRACKED_QUEST_ENDING]                    			 				= { level = 140, size = QUEST_PIN_SIZE, minAreaSize = QUEST_AREA_MIN_SIZE, texture = GetQuestPinTexture, insetX = 7, insetY = 4},	
	
    [MAP_PIN_TYPE_FAST_TRAVEL_WAYSHRINE]                    = { level = 110, size = POI_PIN_SIZE, texture = GetFastTravelPinTextures, tint = GetPOIPinTint, insetX = 15, insetY = 10},
    [MAP_PIN_TYPE_FAST_TRAVEL_WAYSHRINE_CURRENT_LOC]        = { level = 110, size = POI_PIN_SIZE, texture = GetFastTravelPinTextures, tint = GetPOIPinTint, insetX = 15, insetY = 10},
    [MAP_PIN_TYPE_FLAG_ALDMERI_DOMINION]                    = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagCarrier_Aldmeri.dds"},
    [MAP_PIN_TYPE_FLAG_EBONHEART_PACT]                      = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagCarrier_Ebonheart.dds"},
    [MAP_PIN_TYPE_FLAG_DAGGERFALL_COVENANT]                 = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagCarrier_Daggerfall.dds"},
    [MAP_PIN_TYPE_FLAG_NEUTRAL]                             = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagCarrier_neutral.dds"},
    [MAP_PIN_TYPE_CAPTURE_FLAG_ALDMERI_DOMINION]            = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagAldmeri.dds"},
    [MAP_PIN_TYPE_CAPTURE_FLAG_EBONHEART_PACT]              = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagEbonheart.dds"},
    [MAP_PIN_TYPE_CAPTURE_FLAG_DAGGERFALL_COVENANT]         = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagDaggerfall.dds"},
    [MAP_PIN_TYPE_CAPTURE_FLAG_NEUTRAL]                     = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagNeutral.dds"},
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_ALDMERI_DOMINION]       = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagAttack_aldmeri.dds"},
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_EBONHEART_PACT]         = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagAttack_ebonheart.dds"},
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_DAGGERFALL_COVENANT]    = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_flagAttack_daggerfalll.dds"},
    [MAP_PIN_TYPE_BALL_ALDMERI_DOMINION]                    = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_murderball_Aldmeri.dds"},
    [MAP_PIN_TYPE_BALL_EBONHEART_PACT]                      = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_murderball_Ebonheart.dds"},
    [MAP_PIN_TYPE_BALL_DAGGERFALL_COVENANT]                 = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_murderball_Daggerfall.dds"},
    [MAP_PIN_TYPE_BALL_NEUTRAL]                             = { level = 100, size = AVA_OBJECTIVE_SIZE, texture = "EsoUI/Art/MapPins/AvA_murderball_Neutral.dds"},
    [MAP_PIN_TYPE_ARTIFACT_ALDMERI_OFFENSIVE]               = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_altadoon.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_ALDMERI_DEFENSIVE]               = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_mnem.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_EBONHEART_OFFENSIVE]             = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_ghartok.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_EBONHEART_DEFENSIVE]             = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_chim.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_DAGGERFALL_OFFENSIVE]            = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_nimohk.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_DAGGERFALL_DEFENSIVE]            = { level = 100, size = ARTIFACT_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifact_almaruma.dds", insetX = 17, insetY = 23},
    [MAP_PIN_TYPE_ARTIFACT_RETURN_ALDMERI]                  = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Aldmeri.dds"},
    [MAP_PIN_TYPE_ARTIFACT_RETURN_EBONHEART]                = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Ebonheart.dds"},
    [MAP_PIN_TYPE_ARTIFACT_RETURN_DAGGERFALL]               = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Daggerfall.dds"},
    [MAP_PIN_TYPE_FLAG_BASE_ALDMERI_DOMINION]               = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Aldmeri.dds"},
    [MAP_PIN_TYPE_FLAG_BASE_EBONHEART_PACT]                 = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Ebonheart.dds"},
    [MAP_PIN_TYPE_FLAG_BASE_DAGGERFALL_COVENANT]            = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Daggerfall.dds"},
    [MAP_PIN_TYPE_FLAG_BASE_NEUTRAL]                        = { level = 90, texture = "EsoUI/Art/MapPins/AvA_flagBase_Neutral.dds" },
    [MAP_PIN_TYPE_RETURN_ALDMERI_DOMINION]                  = { level = 90, texture = "EsoUI/Art/MapPins/AvA_returnPoint_Aldmeri.dds"},
    [MAP_PIN_TYPE_RETURN_EBONHEART_PACT]                    = { level = 90, texture = "EsoUI/Art/MapPins/AvA_returnPoint_Ebonheart.dds"},
    [MAP_PIN_TYPE_RETURN_DAGGERFALL_COVENANT]               = { level = 90, texture = "EsoUI/Art/MapPins/AvA_returnPoint_Daggerfall.dds"},
    [MAP_PIN_TYPE_RETURN_NEUTRAL]                           = { level = 90, texture = "EsoUI/Art/MapPins/AvA_returnPoint_neutral.dds"},
    [MAP_PIN_TYPE_TRI_BATTLE_SMALL]                         = { level = 70, size = SMALL_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_3Way.dds" },
    [MAP_PIN_TYPE_TRI_BATTLE_MEDIUM]                        = { level = 70, size = MEDIUM_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_3Way.dds" },
    [MAP_PIN_TYPE_TRI_BATTLE_LARGE]                         = { level = 70, size = LARGE_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_3Way.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_SMALL]               = { level = 70, size = SMALL_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVEbonheart.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_MEDIUM]              = { level = 70, size = MEDIUM_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVEbonheart.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_LARGE]               = { level = 70, size = LARGE_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVEbonheart.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_SMALL]              = { level = 70, size = SMALL_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVDaggerfall.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_MEDIUM]             = { level = 70, size = MEDIUM_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVDaggerfall.dds" },
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_LARGE]              = { level = 70, size = LARGE_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_AldmeriVDaggerfall.dds" },
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_SMALL]            = { level = 70, size = SMALL_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_EbonheartVDaggerfall.dds" },
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_MEDIUM]           = { level = 70, size = MEDIUM_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_EbonheartVDaggerfall.dds" },
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_LARGE]            = { level = 70, size = LARGE_KILL_LOCATION_SIZE, texture = "EsoUI/Art/MapPins/AvA_EbonheartVDaggerfall.dds" },
    [MAP_PIN_TYPE_IMPERIAL_CITY_OPEN]                       = { level = 70, size = IMPERIAL_CITY_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_ImpCity_open.dds", tint = GetPOIPinTint, },
    [MAP_PIN_TYPE_IMPERIAL_CITY_CLOSED]                     = { level = 70, size = IMPERIAL_CITY_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_ImpCity_closed.dds", },	
    [MAP_PIN_TYPE_FARM_NEUTRAL]                             = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_farm_Neutral.dds", insetX = 9, insetY = 5, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_FARM_ALDMERI_DOMINION]                    = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_farm_Aldmeri.dds", insetX = 9, insetY = 5, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_FARM_EBONHEART_PACT]                      = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_farm_Ebonheart.dds", insetX = 9, insetY = 5, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_FARM_DAGGERFALL_COVENANT]                 = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_farm_Daggerfall.dds", insetX = 9, insetY = 5, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MINE_NEUTRAL]                             = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_mine_Neutral.dds", insetX = 5, insetY = 6, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MINE_ALDMERI_DOMINION]                    = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_mine_Aldmeri.dds", insetX = 5, insetY = 6, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MINE_EBONHEART_PACT]                      = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_mine_Ebonheart.dds", insetX = 5, insetY = 6, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MINE_DAGGERFALL_COVENANT]                 = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_mine_Daggerfall.dds", insetX = 5, insetY = 6, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MILL_NEUTRAL]                             = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_lumbermill_Neutral.dds", insetX = 6, insetY = 7, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MILL_ALDMERI_DOMINION]                    = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_lumbermill_Aldmeri.dds", insetX = 6, insetY = 7, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MILL_EBONHEART_PACT]                      = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_lumbermill_Ebonheart.dds", insetX = 6, insetY = 7, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_MILL_DAGGERFALL_COVENANT]                 = { level = 60, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_lumbermill_Daggerfall.dds", insetX = 6, insetY = 7, minSize = KEEP_RESOURCE_MIN_SIZE},
    [MAP_PIN_TYPE_KEEP_NEUTRAL]                             = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_largeKeep_neutral.dds", insetX = 20, insetY = 16},
    [MAP_PIN_TYPE_KEEP_ALDMERI_DOMINION]                    = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_largeKeep_Aldmeri.dds", insetX = 20, insetY = 16},
    [MAP_PIN_TYPE_KEEP_EBONHEART_PACT]                      = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_largeKeep_Ebonheart.dds", insetX = 20, insetY = 16},
    [MAP_PIN_TYPE_KEEP_DAGGERFALL_COVENANT]                 = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_largeKeep_Daggerfall.dds", insetX = 20, insetY = 16},
    [MAP_PIN_TYPE_OUTPOST_NEUTRAL]                          = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_outpost_neutral.dds", insetX = 20, insetY = 17},
    [MAP_PIN_TYPE_OUTPOST_ALDMERI_DOMINION]                 = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_outpost_aldmeri.dds", insetX = 20, insetY = 17},
    [MAP_PIN_TYPE_OUTPOST_EBONHEART_PACT]                   = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_outpost_ebonheart.dds", insetX = 20, insetY = 17},
    [MAP_PIN_TYPE_OUTPOST_DAGGERFALL_COVENANT]              = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_outpost_daggerfall.dds", insetX = 20, insetY = 17},
    [MAP_PIN_TYPE_BORDER_KEEP_ALDMERI_DOMINION]             = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_borderKeep_pin_aldmeri.dds", insetX = 16, insetY = 16},
    [MAP_PIN_TYPE_BORDER_KEEP_EBONHEART_PACT]               = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_borderKeep_pin_ebonheart.dds", insetX = 16, insetY = 16},
    [MAP_PIN_TYPE_BORDER_KEEP_DAGGERFALL_COVENANT]          = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_borderKeep_pin_daggerfall.dds", insetX = 16, insetY = 16},
    [MAP_PIN_TYPE_ARTIFACT_KEEP_ALDMERI_DOMINION]           = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactTemple_Aldmeri.dds", insetX = 17, insetY = 17},
    [MAP_PIN_TYPE_ARTIFACT_KEEP_EBONHEART_PACT]             = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactTemple_Ebonheart.dds", insetX = 17, insetY = 17},
    [MAP_PIN_TYPE_ARTIFACT_KEEP_DAGGERFALL_COVENANT]        = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactTemple_Daggerfall.dds", insetX = 17, insetY = 17},
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_ALDMERI_DOMINION]      = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_aldmeri_open.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_DAGGERFALL_COVENANT]   = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_daggerfall_open.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_EBONHEART_PACT]        = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_ebonheart_open.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_ALDMERI_DOMINION]    = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_aldmeri_closed.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_DAGGERFALL_COVENANT] = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_daggerfall_closed.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_EBONHEART_PACT]      = { level = 50, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_artifactGate_ebonheart_closed.dds", insetX = 14, insetY = 14},
    [MAP_PIN_TYPE_POI_SEEN]                                 = { level = 55, size = POI_PIN_SIZE, texture = GetPOIPinTexture, tint = GetPOIPinTint, insetX = 15, insetY = 10},
    [MAP_PIN_TYPE_POI_COMPLETE]                             = { level = 55, size = POI_PIN_SIZE, texture = GetPOIPinTexture, tint = GetPOIPinTint, insetX = 15, insetY = 10},	
    [AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN]                      = { level = 50, size = POI_PIN_SIZE, texture = "AUI/images/minimap/unknown-pin.dds"},
    [MAP_PIN_TYPE_LOCATION]                                 = { level = 50, size = MAP_LOCATION_PIN_SIZE, texture = GetLocationPinTexture},
    [MAP_PIN_TYPE_FORWARD_CAMP_ACCESSIBLE]                  = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_cemetary_linked_backdrop.dds"},
    [MAP_PIN_TYPE_KEEP_GRAVEYARD_ACCESSIBLE]                = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_keep_linked_backdrop.dds"},
    [MAP_PIN_TYPE_FAST_TRAVEL_KEEP_ACCESSIBLE]              = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_keep_linked_backdrop.dds"},
    [MAP_PIN_TYPE_FAST_TRAVEL_BORDER_KEEP_ACCESSIBLE]       = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_borderKeep_linked_backdrop.dds"},
    [MAP_PIN_TYPE_RESPAWN_BORDER_KEEP_ACCESSIBLE]           = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_borderKeep_linked_backdrop.dds"},
    [MAP_PIN_TYPE_FAST_TRAVEL_OUTPOST_ACCESSIBLE]           = { level = 40, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_outpost_linked_backdrop.dds"},
    [MAP_PIN_TYPE_KEEP_ATTACKED_LARGE]                      = { level = 30, size = KEEP_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_attackBurst_64.dds"},
    [MAP_PIN_TYPE_KEEP_ATTACKED_SMALL]                      = { level = 30, size = KEEP_RESOURCE_PIN_SIZE, texture = "EsoUI/Art/MapPins/AvA_attackBurst_32.dds"},
    [MAP_PIN_TYPE_RESTRICTED_LINK_ALDMERI_DOMINION]         = { level = 20, size = RESTRICTED_LINK_PIN_SIZE, texture = "EsoUI/Art/AvA/AvA_transitLocked.dds", tint = GetAllianceColor(ALLIANCE_ALDMERI_DOMINION)},
    [MAP_PIN_TYPE_RESTRICTED_LINK_EBONHEART_PACT]           = { level = 20, size = RESTRICTED_LINK_PIN_SIZE, texture = "EsoUI/Art/AvA/AvA_transitLocked.dds", tint = GetAllianceColor(ALLIANCE_EBONHEART_PACT)},
    [MAP_PIN_TYPE_RESTRICTED_LINK_DAGGERFALL_COVENANT]      = { level = 20, size = RESTRICTED_LINK_PIN_SIZE, texture = "EsoUI/Art/AvA/AvA_transitLocked.dds", tint = GetAllianceColor(ALLIANCE_DAGGERFALL_COVENANT)},	
}

AUI_MINIMAP_UNIT_PIN_TYPES =
{
    [MAP_PIN_TYPE_PLAYER] = true,
    [MAP_PIN_TYPE_GROUP] = true,
    [MAP_PIN_TYPE_GROUP_LEADER] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] = true,
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] = true,	
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] = true,	
    [AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] = true,
}

AUI_MINIMAP_GROUP_LEADER_PIN_TYPES =
{
    [MAP_PIN_TYPE_GROUP_LEADER] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] = true,
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] = true,	
    [AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] = true,	
}

AUI_MINIMAP_GROUP_MEMBER_PIN_TYPES =
{
    [MAP_PIN_TYPE_GROUP] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] = true,	
    [AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] = true,
	[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] = true,	
}

AUI_MINIMAP_POI_PIN_TYPES = 
{
    [MAP_PIN_TYPE_POI_SEEN] = true,
    [MAP_PIN_TYPE_POI_COMPLETE] = true,
	[AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN] = true,
}

AUI_MINIMAP_QUEST_PIN_TYPES =
{
    [MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP] = true,			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_DAILY] = true,		
    [MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE] = true,			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY] = true,	
    [MAP_PIN_TYPE_ASSISTED_QUEST_ENDING] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_REPEATABLE] = true,		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_DAILY] = true,	
    [MAP_PIN_TYPE_TRACKED_QUEST_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_CLASS_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_RAID_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_GROUP_DAILY] = true,
    [MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_RAID_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP] = true,					
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY] = true,		
    [MAP_PIN_TYPE_TRACKED_QUEST_ENDING] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CRAFTING_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_CLASS_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GUILD_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_REPEATABLE] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_RAID_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_GROUP_DAILY] = true,
}

AUI_MINIMAP_AVA_OBJECTIVE_PIN_TYPES =
{
    [MAP_PIN_TYPE_FLAG_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_FLAG_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_FLAG_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_FLAG_NEUTRAL] = true,
    [MAP_PIN_TYPE_FLAG_BASE_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_FLAG_BASE_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_FLAG_BASE_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_FLAG_BASE_NEUTRAL] = true,
    [MAP_PIN_TYPE_CAPTURE_FLAG_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_CAPTURE_FLAG_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_CAPTURE_FLAG_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_CAPTURE_FLAG_NEUTRAL] = true,
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_HALF_CAPTURE_FLAG_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_BALL_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_BALL_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_BALL_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_BALL_NEUTRAL] = true,
    [MAP_PIN_TYPE_RETURN_ALDMERI_DOMINION] = true,     
    [MAP_PIN_TYPE_RETURN_EBONHEART_PACT] = true,       
    [MAP_PIN_TYPE_RETURN_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_RETURN_NEUTRAL] = true,    
    [MAP_PIN_TYPE_ARTIFACT_ALDMERI_OFFENSIVE] = true, 
    [MAP_PIN_TYPE_ARTIFACT_ALDMERI_DEFENSIVE] = true,   
    [MAP_PIN_TYPE_ARTIFACT_EBONHEART_OFFENSIVE] = true, 
    [MAP_PIN_TYPE_ARTIFACT_EBONHEART_DEFENSIVE] = true, 
    [MAP_PIN_TYPE_ARTIFACT_DAGGERFALL_OFFENSIVE] = true,
    [MAP_PIN_TYPE_ARTIFACT_DAGGERFALL_DEFENSIVE] = true,
    [MAP_PIN_TYPE_ARTIFACT_RETURN_ALDMERI] = true,      
    [MAP_PIN_TYPE_ARTIFACT_RETURN_EBONHEART] = true,    
    [MAP_PIN_TYPE_ARTIFACT_RETURN_DAGGERFALL] = true,             
}

AUI_MINIMAP_KEEP_PIN_TYPES =
{
    [MAP_PIN_TYPE_KEEP_NEUTRAL] = true,                   
    [MAP_PIN_TYPE_KEEP_ALDMERI_DOMINION] = true,          
    [MAP_PIN_TYPE_KEEP_EBONHEART_PACT] = true,     
    [MAP_PIN_TYPE_KEEP_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_OUTPOST_NEUTRAL] = true,               
    [MAP_PIN_TYPE_OUTPOST_ALDMERI_DOMINION] = true,      
    [MAP_PIN_TYPE_OUTPOST_EBONHEART_PACT] = true,        
    [MAP_PIN_TYPE_OUTPOST_DAGGERFALL_COVENANT] = true,   
    [MAP_PIN_TYPE_BORDER_KEEP_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_BORDER_KEEP_EBONHEART_PACT] = true,    
    [MAP_PIN_TYPE_BORDER_KEEP_DAGGERFALL_COVENANT] = true,        
    [MAP_PIN_TYPE_FARM_NEUTRAL] = true,                   
    [MAP_PIN_TYPE_FARM_ALDMERI_DOMINION] = true,          
    [MAP_PIN_TYPE_FARM_EBONHEART_PACT] = true,            
    [MAP_PIN_TYPE_FARM_DAGGERFALL_COVENANT] = true,       
    [MAP_PIN_TYPE_MINE_NEUTRAL] = true,                   
    [MAP_PIN_TYPE_MINE_ALDMERI_DOMINION] = true,          
    [MAP_PIN_TYPE_MINE_EBONHEART_PACT] = true,            
    [MAP_PIN_TYPE_MINE_DAGGERFALL_COVENANT] = true,       
    [MAP_PIN_TYPE_MILL_NEUTRAL] = true,                   
    [MAP_PIN_TYPE_MILL_ALDMERI_DOMINION] = true,          
    [MAP_PIN_TYPE_MILL_EBONHEART_PACT] = true,            
    [MAP_PIN_TYPE_MILL_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_ARTIFACT_KEEP_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_ARTIFACT_KEEP_EBONHEART_PACT] = true,     
    [MAP_PIN_TYPE_ARTIFACT_KEEP_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_ALDMERI_DOMINION] = true,    
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_DAGGERFALL_COVENANT] = true, 
    [MAP_PIN_TYPE_ARTIFACT_GATE_OPEN_EBONHEART_PACT] = true,      
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_ALDMERI_DOMINION] = true,  
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_DAGGERFALL_COVENANT]  = true,
    [MAP_PIN_TYPE_ARTIFACT_GATE_CLOSED_EBONHEART_PACT] = true,    
    [MAP_PIN_TYPE_KEEP_ATTACKED_SMALL] = true,
    [MAP_PIN_TYPE_KEEP_ATTACKED_LARGE] = true,
}

AUI_MINIMAP_IMPERIAL_CITY_GATE_TYPES = 
{
    [MAP_PIN_TYPE_IMPERIAL_CITY_OPEN] = true,
    [MAP_PIN_TYPE_IMPERIAL_CITY_CLOSED] = true,
}

AUI_MINIMAP_MAP_PING_PIN_TYPES =
{
    [MAP_PIN_TYPE_PING] = true,
    [MAP_PIN_TYPE_RALLY_POINT] = true,
    [MAP_PIN_TYPE_PLAYER_WAYPOINT] = true,
}

AUI_MINIMAP_KILL_LOCATION_PIN_TYPES =
{
    [MAP_PIN_TYPE_TRI_BATTLE_SMALL] = true,                
    [MAP_PIN_TYPE_TRI_BATTLE_MEDIUM] = true,
    [MAP_PIN_TYPE_TRI_BATTLE_LARGE] = true,                
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_SMALL] = true,      
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_MEDIUM] = true,     
    [MAP_PIN_TYPE_ALDMERI_VS_EBONHEART_LARGE] = true,      
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_SMALL] = true,     
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_MEDIUM] = true,    
    [MAP_PIN_TYPE_ALDMERI_VS_DAGGERFALL_LARGE] = true,     
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_SMALL] = true,   
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_MEDIUM] = true, 
    [MAP_PIN_TYPE_EBONHEART_VS_DAGGERFALL_LARGE] = true,   
}

AUI_MINIMAP_FAST_TRAVEL_KEEP_PIN_TYPES =
{
    [MAP_PIN_TYPE_FAST_TRAVEL_KEEP_ACCESSIBLE] = true,
    [MAP_PIN_TYPE_FAST_TRAVEL_BORDER_KEEP_ACCESSIBLE] = true,
    [MAP_PIN_TYPE_FAST_TRAVEL_OUTPOST_ACCESSIBLE] = true,
}

AUI_MINIMAP_FAST_TRAVEL_WAYSHRINE_PIN_TYPES =
{
    [MAP_PIN_TYPE_FAST_TRAVEL_WAYSHRINE] = true,
    [MAP_PIN_TYPE_FAST_TRAVEL_WAYSHRINE_CURRENT_LOC] = true,
}

AUI_MINIMAP_FORWARD_CAMP_PIN_TYPES =
{
    [MAP_PIN_TYPE_FORWARD_CAMP_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_FORWARD_CAMP_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_FORWARD_CAMP_DAGGERFALL_COVENANT] = true,
}

AUI_MINIMAP_AVA_RESPAWN_PIN_TYPES =
{
    [MAP_PIN_TYPE_FORWARD_CAMP_ACCESSIBLE] = true,
    [MAP_PIN_TYPE_KEEP_GRAVEYARD_ACCESSIBLE] = true,
    [MAP_PIN_TYPE_RESPAWN_BORDER_KEEP_ACCESSIBLE] = true,
}

AUI_MINIMAP_AVA_RESTRICTED_LINK_PIN_TYPES =
{
    [MAP_PIN_TYPE_RESTRICTED_LINK_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_RESTRICTED_LINK_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_RESTRICTED_LINK_DAGGERFALL_COVENANT] = true,
}

AUI_MINIMAP_ASSISTED_PIN_TYPES =
{
    [MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_CLASS_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GUILD_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_RAID_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP] = true,			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_GROUP_DAILY] = true,		
    [MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_CLASS_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DUNGEON_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_RAID_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_REPEATABLE] = true,			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_GROUP_DAILY] = true,	
    [MAP_PIN_TYPE_ASSISTED_QUEST_ENDING] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_REPEATABLE] = true,		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CRAFTING_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_CLASS_DAILY] = true,		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GUILD_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_REPEATABLE] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DUNGEON_DAILY] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_RAID_DAILY] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP] = true,	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_REPEATABLE] = true,
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_GROUP_DAILY] = true,
}

AUI_MINIMAP_AVA_SPAWN_OBJECTIVE_PIN_TYPES =
{
    [MAP_PIN_TYPE_FLAG_BASE_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_FLAG_BASE_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_FLAG_BASE_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_FLAG_BASE_NEUTRAL] = true,
}

AUI_MINIMAP_ALLIANCE_TO_RESTRICTED_PIN_TYPE = {
	[ALLIANCE_ALDMERI_DOMINION] = MAP_PIN_TYPE_RESTRICTED_LINK_ALDMERI_DOMINION,
	[ALLIANCE_EBONHEART_PACT] = MAP_PIN_TYPE_RESTRICTED_LINK_EBONHEART_PACT,
	[ALLIANCE_DAGGERFALL_COVENANT] = MAP_PIN_TYPE_RESTRICTED_LINK_DAGGERFALL_COVENANT,
 }

AUI_MINIMAP_PULSE_ANIMATION =
{
    texture = "EsoUI/Art/MapPins/UI-WorldMapPinHighlight.dds",
    duration = DEFAULT_LOOP_COUNT,
    type = ZO_MapPin.ANIMATION_ALPHA,
}
AUI_MINIMAP_DISTRICT_PIN_TYPES =
{
    [MAP_PIN_TYPE_IMPERIAL_DISTRICT_NEUTRAL] = true,
    [MAP_PIN_TYPE_IMPERIAL_DISTRICT_ALDMERI_DOMINION] = true,
    [MAP_PIN_TYPE_IMPERIAL_DISTRICT_EBONHEART_PACT] = true,
    [MAP_PIN_TYPE_IMPERIAL_DISTRICT_DAGGERFALL_COVENANT] = true,
    [MAP_PIN_TYPE_KEEP_ATTACKED_SMALL] = true,
    [MAP_PIN_TYPE_KEEP_ATTACKED_LARGE] = true,
}